#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

CGAP=/usr/bin/gap

DEB_BUILD_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)
DEB_BUILD_GAP_INFO_ARCH ?= $(shell echo 'Print(GAPInfo.Architecture);' | $(CGAP) -A -q -T)


default:
	@uscan --no-conf --dehs --report || true

%:
	dh $@

override_dh_auto_configure:
	./configure /usr/lib/gap

override_dh_link:
	dh_link -p gap-guava \
		/usr/lib/gap/pkg/guava/bin /usr/share/gap/pkg/guava/bin \
		/usr/share/gap/pkg/guava/doc /usr/share/doc/gap-guava/doc \
		/usr/share/javascript/mathjax /usr/share/gap/pkg/guava/doc/mathjax
	dh_link -p gap-guava-bin \
		/usr/libexec/$(DEB_BUILD_MULTIARCH)/gap/pkg/guava/bin /usr/lib/gap/pkg/guava/bin/$(DEB_BUILD_GAP_INFO_ARCH)

override_dh_installchangelogs:
	dh_installchangelogs --keep CHANGES.guava

override_dh_compress:
	dh_compress -X.pdf
